Enrich a draft before confirmation
curl --request POST \
--url https://app.raisegate.com/api/v1/tracker/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "Example Bio",
"companyWebsite": "https://example.bio",
"founders": [
{
"name": "Jane Founder"
}
],
"thingsToTrack": "Fundraising and product launches.",
"alertEmails": [
"partners@fund.example"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Example Bio',
companyWebsite: 'https://example.bio',
founders: [{name: 'Jane Founder'}],
thingsToTrack: 'Fundraising and product launches.',
alertEmails: ['partners@fund.example']
})
};
fetch('https://app.raisegate.com/api/v1/tracker/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.raisegate.com/api/v1/tracker/enrich"
payload = {
"companyName": "Example Bio",
"companyWebsite": "https://example.bio",
"founders": [{ "name": "Jane Founder" }],
"thingsToTrack": "Fundraising and product launches.",
"alertEmails": ["partners@fund.example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"companyName": "Example",
"companyWebsite": "https://example.com",
"companyLinkedinUrl": "https://www.linkedin.com/company/example",
"founders": [
{
"name": "Jane Founder",
"linkedinUrl": "https://www.linkedin.com/in/jane-founder",
"twitterUrl": "https://x.com/janefounder"
}
]
},
"requiresConfirmation": true,
"missingProfiles": [
"companyTwitterUrl"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Tracker
Enrich a draft before confirmation
Discovers missing company and founder LinkedIn/X profiles without creating anything, and waits for the result (usually 8-15 seconds; up to 4 minutes). Prefer create-then-poll for agents. This call can exceed typical MCP timeouts.
POST
/
api
/
v1
/
tracker
/
enrich
Enrich a draft before confirmation
curl --request POST \
--url https://app.raisegate.com/api/v1/tracker/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "Example Bio",
"companyWebsite": "https://example.bio",
"founders": [
{
"name": "Jane Founder"
}
],
"thingsToTrack": "Fundraising and product launches.",
"alertEmails": [
"partners@fund.example"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Example Bio',
companyWebsite: 'https://example.bio',
founders: [{name: 'Jane Founder'}],
thingsToTrack: 'Fundraising and product launches.',
alertEmails: ['partners@fund.example']
})
};
fetch('https://app.raisegate.com/api/v1/tracker/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.raisegate.com/api/v1/tracker/enrich"
payload = {
"companyName": "Example Bio",
"companyWebsite": "https://example.bio",
"founders": [{ "name": "Jane Founder" }],
"thingsToTrack": "Fundraising and product launches.",
"alertEmails": ["partners@fund.example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"companyName": "Example",
"companyWebsite": "https://example.com",
"companyLinkedinUrl": "https://www.linkedin.com/company/example",
"founders": [
{
"name": "Jane Founder",
"linkedinUrl": "https://www.linkedin.com/in/jane-founder",
"twitterUrl": "https://x.com/janefounder"
}
]
},
"requiresConfirmation": true,
"missingProfiles": [
"companyTwitterUrl"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Body
application/json
⌘I